Get Product Parent
curl --request GET \
--url https://qwoty.app/api/product-parents/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/product-parents/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/product-parents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qwoty.app/api/product-parents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qwoty.app/api/product-parents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qwoty.app/api/product-parents/{id}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qwoty.app/api/product-parents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Premium Widget",
"api_name": "premium_widget",
"recurrence_type": "recurring",
"reference": "PROD-001",
"description": "High-quality widget for professional use",
"is_active": true,
"catalogs": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Main Catalog",
"api_name": "catalog_main"
}
],
"product_ids": ["770e8400-e29b-41d4-a716-446655440002"],
"identifiers": {
"crm": "crm_123",
"erp": "erp_456",
"accounting": "acc_789"
},
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
}
Product Parents
Get Product Parent
Retrieve a specific product parent by ID
GET
/
api
/
product-parents
/
{id}
Get Product Parent
curl --request GET \
--url https://qwoty.app/api/product-parents/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/product-parents/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/product-parents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qwoty.app/api/product-parents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qwoty.app/api/product-parents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qwoty.app/api/product-parents/{id}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qwoty.app/api/product-parents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Premium Widget",
"api_name": "premium_widget",
"recurrence_type": "recurring",
"reference": "PROD-001",
"description": "High-quality widget for professional use",
"is_active": true,
"catalogs": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Main Catalog",
"api_name": "catalog_main"
}
],
"product_ids": ["770e8400-e29b-41d4-a716-446655440002"],
"identifiers": {
"crm": "crm_123",
"erp": "erp_456",
"accounting": "acc_789"
},
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
}
Authorization
string
required
Bearer token for authentication. Format:
Bearer qwoty_your_tokenPath Parameters
string
required
UUID of the product parent
Examples
curl https://qwoty.app/api/product-parents/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer qwoty_your_token"
const productParentId = '550e8400-e29b-41d4-a716-446655440000'
const response = await fetch(
`https://qwoty.app/api/product-parents/${productParentId}`,
{
headers: {
Authorization: 'Bearer qwoty_your_token',
},
},
)
const data = await response.json()
import requests
product_parent_id = '550e8400-e29b-41d4-a716-446655440000'
response = requests.get(
f'https://qwoty.app/api/product-parents/{product_parent_id}',
headers={
'Authorization': 'Bearer qwoty_your_token'
}
)
data = response.json()
Response
boolean
Indicates if the request was successful
object
The product parent object
Show Product Parent Object
Show Product Parent Object
string
Unique identifier (UUID)
string
Product parent name
string
API identifier
string
Billing model (
one_off or recurring)string | null
Internal reference
string | null
Product description
boolean
Active status
array
array
Linked product IDs
object
string
ISO 8601 timestamp
string
ISO 8601 timestamp
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Premium Widget",
"api_name": "premium_widget",
"recurrence_type": "recurring",
"reference": "PROD-001",
"description": "High-quality widget for professional use",
"is_active": true,
"catalogs": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"name": "Main Catalog",
"api_name": "catalog_main"
}
],
"product_ids": ["770e8400-e29b-41d4-a716-446655440002"],
"identifiers": {
"crm": "crm_123",
"erp": "erp_456",
"accounting": "acc_789"
},
"created_at": "2024-12-21T10:30:00Z",
"updated_at": "2024-12-21T10:30:00Z"
}
}
Error Responses
{
"error": "Product parent not found"
}
{
"error": "Invalid or expired token"
}
Last modified on October 28, 2026
Was this page helpful?

